Subject: bug#36167: [PATCH] Replace [0-9a-fA-F] with [[:xdigit:]]

From: Konstantin Kharlamov <[email-masked]>
Date: Wed, 12 Jun 2019 20:09:09 +0300

В Ср, июн 12, 2019 at 19:51, Eli Zaretskii <[email-masked]> 
написал:
>>  Date: Wed, 12 Jun 2019 19:39:26 +0300
>>  From: Konstantin Kharlamov <[email-masked]>
>>  Cc: [email-masked], [email-masked]
>> 
>>  > When you change 400 files, no one will expect you to mention each
>>  > instance, it's enough to describe the change itself and say "in 
>> all
>>  > files" or somesuch.
>> 
>>  Can I do that for 20 files?
> 
> Borderline, IMO.
> 
> Can't the command you use output the list of functions or at least
> files where it made the changes?  Then you could massage that list
> into a log message.

Getting the list of files is trivial, I can just copy them from a `git 
diff --name-only` or some such. Getting the list of modified functions 
in code is harder.

Anyway, I'll try making some function later to apply recursively the 
(add-change-log-entry-other-window), that sounds good to have in 
general.